package com.fjs.scenic.mapper.good;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.good.TicketRuleWithBLOBs;

public interface TicketRuleMapper {
    int insert(TicketRuleWithBLOBs record);

    int insertSelective(TicketRuleWithBLOBs record);
    
    /**根据畅游通商品id查询门票規則*/
    TicketRuleWithBLOBs selectByGoodsId(@Param("goodsId")Integer goodsId);
    
    /**根据畅游通商品id跟新门票規則*/
    int updateByCytGoodsIdSelective(TicketRuleWithBLOBs record);
}